## org.eclipse.jetty.annotations
Class AnnotationDecorator

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationDecorator

All Implemented Interfaces:
  ServletContextHandler.Decorator

    public class AnnotationDecorator

extends Object
implements ServletContextHandler.Decorator

WebAppDecoratorWrapper

Constructor Summary
`AnnotationDecorator(WebAppContext context)`

Method Summary
`void` `decorateFilterHolder(FilterHolder filter)`

`

`<T extends Filter> T`

`

`decorateFilterInstance(T filter)`

`

`<T extends EventListener> T`

`

`decorateListenerInstance(T listener)`

`void` `decorateServletHolder(ServletHolder servlet)`

`

`<T extends Servlet> T`

`

`decorateServletInstance(T servlet)`

`void` `destroyFilterInstance(Filter f)`
`void` `destroyListenerInstance(EventListener f)`
`void` `destroyServletInstance(Servlet s)`
`protected void` `introspect(Object o)` Look for annotations that can be discovered with introspection: Resource Resources PostConstruct PreDestroy ServletSecurity?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationDecorator

    public AnnotationDecorator(WebAppContext context)

Parameters:
  `context` -

Method Detail

### decorateFilterHolder

    public void decorateFilterHolder(FilterHolder filter)
                              throws ServletException

  Specified by:
    `decorateFilterHolder` in interface `ServletContextHandler.Decorator`
  Parameters:
    `filter` -
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateFilterHolder(org.eclipse.jetty.servlet.FilterHolder)`

### decorateFilterInstance

    public <T extends Filter> T decorateFilterInstance(T filter)
                                            throws ServletException

  Specified by:
    `decorateFilterInstance` in interface `ServletContextHandler.Decorator`
  Type Parameters:
    `T` -
  Parameters:
    `filter` -
  Returns:
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateFilterInstance(javax.servlet.Filter)`

### decorateListenerInstance

    public <T extends EventListener> T decorateListenerInstance(T listener)
                                                     throws ServletException

  Specified by:
    `decorateListenerInstance` in interface `ServletContextHandler.Decorator`
  Type Parameters:
    `T` -
  Parameters:
    `listener` -
  Returns:
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateListenerInstance(java.util.EventListener)`

### decorateServletHolder

    public void decorateServletHolder(ServletHolder servlet)
                               throws ServletException

  Specified by:
    `decorateServletHolder` in interface `ServletContextHandler.Decorator`
  Parameters:
    `servlet` -
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateServletHolder(org.eclipse.jetty.servlet.ServletHolder)`

### decorateServletInstance

    public <T extends Servlet> T decorateServletInstance(T servlet)
                                              throws ServletException

  Specified by:
    `decorateServletInstance` in interface `ServletContextHandler.Decorator`
  Type Parameters:
    `T` -
  Parameters:
    `servlet` -
  Returns:
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateServletInstance(javax.servlet.Servlet)`

### destroyFilterInstance

    public void destroyFilterInstance(Filter f)

  Specified by:
    `destroyFilterInstance` in interface `ServletContextHandler.Decorator`
  Parameters:
    `f` -
  See Also:
    `ServletContextHandler.Decorator.destroyFilterInstance(javax.servlet.Filter)`

### destroyServletInstance

    public void destroyServletInstance(Servlet s)

  Specified by:
    `destroyServletInstance` in interface `ServletContextHandler.Decorator`
  Parameters:
    `s` -
  See Also:
    `ServletContextHandler.Decorator.destroyServletInstance(javax.servlet.Servlet)`

### destroyListenerInstance

    public void destroyListenerInstance(EventListener f)

  Specified by:
    `destroyListenerInstance` in interface `ServletContextHandler.Decorator`
  Parameters:
    `f` -
  See Also:
    `ServletContextHandler.Decorator.destroyListenerInstance(java.util.EventListener)`

### introspect

    protected void introspect(Object o)

  Look for annotations that can be discovered with introspection:
  - Resource
  - Resources
  - PostConstruct
  - PreDestroy
  - ServletSecurity?

  Parameters:
    `o` -

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.